### Class

# SpiceClientGLib QmpPort

since: 0.36

#### Description [src]

    final class SpiceClientGLib.QmpPort : GObject.Object
    {
      /* No available fields */
    }

Opaque data structure.

Available since: 0.36

#### Ancestors

- GObject

#### Functions

###### spice_qmp_port_get

Associate a QMP port helper to the given port channel. If there is already a helper associated with the channel, it is simply returned.

since: 0.36

#### Instance methods

###### spice_qmp_port_query_status_async

Query the run status of all VCPUs.

since: 0.36

###### spice_qmp_port_query_status_finish

Finish the asynchronous status query.

since: 0.36

###### spice_qmp_port_vm_action_async

Request the VM to perform an action.

since: 0.36

###### spice_qmp_port_vm_action_finish

Finishes asynchronous VM action and returns the result.

since: 0.36

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### SpiceClientGLib.QmpPort:channel

No description available.

###### SpiceClientGLib.QmpPort:ready

No description available.

#### Signals

###### SpiceClientGLib.QmpPort::event

Event emitted whenever a QMP event is received.

since: 0.36

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpiceClientGLibQmpPortClass {
      /* no available fields */
    }

No description available.